Subject: Re: [SIP] draft-petrie-sip-config-framework-00.txt

From: "Kent Fritz" <[email-masked]>
Date: Mon, 5 Mar 2001 11:08:16 -0800

100K?  Frankly, I don't want to write my own SNMPv3 implementation, and the
comercially available implementation that I have used that runs on an
embedded platform is:

sizeppc snmpd
text    data    bss     dec     hex     filename
356212  100900  8920    466032  71c70   snmpd

And that's not including any of the MIB implementation part.  Half a MB may
not seem much to many of you, but when you are trying to squeeze every
nickel out of your hardware design, it does make a difference.

I've also seen arguments about the price of memory being cheap, with quotes
on the price/MB.  But what's being quoted is PC memory, which is usually in
much larger sizes.  The memory that is available for embedded products is
more expensive.

Kent Fritz
Sylantro Systems
[email-masked]

>From: "Rosen, Brian" <[email-masked]>
>To: "'Henning G. Schulzrinne'" <[email-masked]>,
>	[email-masked]
>Cc: "IETF SIP (E-mail)" <[email-masked]>
>Subject: RE: [sip-config] Re: [SIP] draft-petrie-sip-config-framework-00.t
>	xt
>Date: Mon, 5 Mar 2001 11:35:00 -0500 
>
>> Some questions for those on the list who know SNMP better than I do:
>> 
>> - how easy is it to configure the destination of traps? Is this done
>> through management also?
>Let's assume we use SNMPv3.  We want to make that assumption because
>of security issues.  There is a "Management Target MIB" that sets
>the address you send traps to.
>
>> 
>> - are there any small SNMP "engines" out there? Support of 
>> ASN.1 implies
>> a certain minimum size. The MIB agent on Sun is 154320, which doesn't
>> seem too bad.
>I've seen 64K implementations of SNMPv1.  For V3, they are a bit bigger.
>100K seems about right.  Depends a whole lot on which MIBs.
>
>Brian 

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.